> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/moonriver-movr/movr_chain_getblockhash.md).

# chain\_getBlockHash - Moonriver

Example code for the chain\_getBlockHash json-rpc method. Сomplete guide on how to use chain\_getBlockHash json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`blockNumber` - BlockNumber

number of the block

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "chain_getBlockHash",
"params": ["0x67103a"],
"id": "getblock.io"}'
```

#### Response

```java
{
    "id": "getblock.io",
    "jsonrpc": "2.0",
    "result": "0x255bc00927df8d33d561792635cbc6bde480a0a505eef5ff28630ece3fc15b32"
}
```
